Skip to main content
PUT
/
api
/
v1
/
cert-manager
/
applications
/
{applicationId}
/
profiles
/
{profileId}
/
enrollment
/
api
cURL
curl --request PUT \
  --url https://us.infisical.com/api/v1/cert-manager/applications/{applicationId}/profiles/{profileId}/enrollment/api \
  --header 'Content-Type: application/json' \
  --data '
{
  "autoRenew": false,
  "renewBeforeDays": 183
}
'
{
  "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "api": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "autoRenew": true,
    "renewBeforeDays": 123
  }
}

Path Parameters

applicationId
string<uuid>
required
profileId
string<uuid>
required

Body

application/json
autoRenew
boolean
default:false
renewBeforeDays
integer
Required range: 1 <= x <= 365

Response

Default Response

applicationId
string<uuid>
required
profileId
string<uuid>
required
api
object
required